﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Administration;

namespace JustAddCode.EffectiveFeatures
{
    public class FeatureList : System.Web.UI.WebControls.WebParts.WebPart
    {
        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);

            SPWeb web = SPContext.Current.Web;
            SPFarm farm = Microsoft.SharePoint.Administration.SPFarm.Local;

            var features = from SPFeatureDefinition f in farm.FeatureDefinitions
                        where f.Scope == SPFeatureScope.Web
                        select f;


            List<Guid> activeFeatures = new List<Guid>();
            foreach (SPFeature feature in web.Features)
            {
                activeFeatures.Add(feature.DefinitionId);
            }

            foreach (SPFeatureDefinition feature in features)
            {
                
            }


        }
    }
}
