﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;

namespace JustAddCode.EffectiveFeatures
{
    public static class CustomTypeExtensions
    {
        public static bool Contains(this SPFeatureCollection collection,Guid featureId)
        {
            int count = (from SPFeature f in collection
                         where f.DefinitionId == featureId
                         select f).Count();

            if (count > 0)
                return true;
            else
                return false;
        }
    }
}
